roman {utils} | R Documentation

## Roman Numerals

### Description

Manipulate integers as roman numerals.

### Usage

    as.roman(x)

### Arguments

`x` | a numeric vector, or a character vector of arabic or roman numerals.

### Details

`as.roman` creates objects of class `"roman"` which are internally represented as integers, and have suitable methods for printing, formatting, subsetting, and coercion to `character`.

Only numbers between 1 and 3899 have a unique representation as roman numbers.

### References

Wikipedia contributors (2006). Roman numerals. Wikipedia, The Free Encyclopedia. http://en.wikipedia.org/w/index.php?title=Roman_numerals&oldid=78252134. Accessed September 29, 2006.

### Examples

    ## First five roman 'numbers'.
    (y <- as.roman(1 : 5))
    ## Middle one.
    y[3]
    ## Current year as a roman number.
    (y <- as.roman(format(Sys.Date(), "%Y")))
    ## 10 years ago ...
    y - 10

[Package utils version 2.15.2 Index]